Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.el
Class CapturingELContext

    java.lang.Object
      javax.el.ELContext
          org.richfaces.el.CapturingELContext

    public class CapturingELContext

extends javax.el.ELContext

This class wraps original ELContext and capture whole call stack to the target object so it could be used to extract semantic information like annotations or Jena Model properties.

Author:
  asmirnov

Constructor Summary
`CapturingELContext(javax.el.ELContext parent, Map<Object,org.richfaces.validator.GraphValidatorState> states)`

Method Summary
`Object` | `getContext(Class key)`
`org.richfaces.el.ValueDescriptor` | `getDescriptor()`
`javax.el.ELResolver` | `getELResolver()`
`javax.el.FunctionMapper` | `getFunctionMapper()`
`Locale` | `getLocale()`
`ValueReference` | `getReference()`
`javax.el.ValueExpression` | `getReferenceExpression()`
`javax.el.VariableMapper` | `getVariableMapper()`
`boolean` | `hasReferenceExpression()`
`void` | `putContext(Class key, Object contextObject)`
`void` | `setLocale(Locale locale)`

Methods inherited from class javax.el.ELContext
`isPropertyResolved, setPropertyResolved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CapturingELContext

    public CapturingELContext(javax.el.ELContext parent,
                              Map<Object,org.richfaces.validator.GraphValidatorState> states)

Method Detail

### getReference

    public ValueReference getReference()

### hasReferenceExpression

    public boolean hasReferenceExpression()

### getReferenceExpression

    public javax.el.ValueExpression getReferenceExpression()

### getDescriptor

    public org.richfaces.el.ValueDescriptor getDescriptor()

### getELResolver

    public javax.el.ELResolver getELResolver()

  Specified by:
    `getELResolver` in class `javax.el.ELContext`

### getContext

    public Object getContext(Class key)

  Overrides:
    `getContext` in class `javax.el.ELContext`

### getFunctionMapper

    public javax.el.FunctionMapper getFunctionMapper()

  Specified by:
    `getFunctionMapper` in class `javax.el.ELContext`

### getLocale

    public Locale getLocale()

  Overrides:
    `getLocale` in class `javax.el.ELContext`

### getVariableMapper

    public javax.el.VariableMapper getVariableMapper()

  Specified by:
    `getVariableMapper` in class `javax.el.ELContext`

### putContext

    public void putContext(Class key,
                           Object contextObject)

  Overrides:
    `putContext` in class `javax.el.ELContext`

### setLocale

    public void setLocale(Locale locale)

  Overrides:
    `setLocale` in class `javax.el.ELContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.